IntegrationsN1

Show the API key behind the connection (name, scopes, expiry), its user and the companies it can access.

POST
/integrations/connections/{connection_id}/providers/n1/account/get

Show the API key behind the connection (name, scopes, expiry), its user and the companies it can access.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/n1/account/get" \  -H "Content-Type: application/json" \  -d '{}'
{  "key": {    "id": 0,    "name": "Customer documents",    "prefix": "adl_live_a1",    "last_four": "example",    "scopes": [],    "all_companies": false  },  "user": {    "email": "ada@example.com",    "first_name": "example",    "last_name": "example"  },  "companies": []}